Subject: bug#25112: 24.5; function to encode time from time string

From: Drew Adams <[email-masked]>
Date: Sun, 4 Dec 2016 12:56:47 -0800 (PST)

Enhancement request: Please add a function that accepts a time string
and a format spec (to interpret the time string), and returns a time
value that represents the same time.

I could not find such a function mentioned in the manuals.  I came
across a need for such a thing when wanting to convert the :time entry
of an Eww "bookmark" to a (SEC-HIGH SEC-LOW MICROSEC PICOSEC) list such
as is returned by `current-time', for use in an ordinary Emacs bookmark.

(I have no idea why Eww uses a string to record the time, as there is
little you can do with it besides read it as a human.  But it does.)

(I have no idea why Eww uses its own, incompatible form of "bookmarks".
But it does.  And so does Org.)

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'